Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Many problems with Chrome 64bits in Ubuntu 12.04 64-bits, is there any way to work with Chrome 32bits or fix that problem? Any ideas? I also noticed that chrome went so slow, 64bits problem?

share|improve this question

migrated from stackoverflow.com May 18 '12 at 8:37

This question came from our site for professional and enthusiast programmers.

    
Is it not present (subject) or is it present but not working (problem text)? Which Google Chrome version? Google Chrome should come with its own Flash plugin. –  Daniel Andersson May 18 '12 at 11:17

4 Answers 4

I've just found a solution for those who have Flash working on Firefox but not on Chromium. It's based on the fact that every browser has it's own plugins directory:

  • /usr/lib/firefox-addons/plugins (for Firefox)
  • /usr/lib/chromium-browser/plugins (for Chromium)

So, the only thing you've got to do is to unify them, aka, making one the link to the other. Probably, all plugins are in the Firefox plugins directory, but it isn't worth it to ensure that:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

If Firefox is the one where all plugins are, do the next. If not, do the inverse:

sudo rmdir /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Finally, restart Chromium so changes take effect.

Probably, it wouldn't be a bad idea to create a bug report to the Chromium/Firefox package mantainers to advise them about the bug and the simple solution.

share|improve this answer

AS of version 21, google chrome 64bit contains pepper flash. Since pepper flash is at version 11.3.31.230 instead of the 11.2 version used for firefox and found in the repositories.I personally find the 11.3 version much more stable and usable.

To install, get the latest 64bit version https://www.google.com/intl/en/chrome/browser/

Double clicking the .deb and opening in software centre will presumably fail due to dependencies.

Head to the terminal and install libxss1 so google chrome can install

sudo apt-get install libxss1

Presuming your downloads are downloaded to your download folder and you downloaded the 64bit version

cd Downloads

sudo dpkg -i google-chrome-stable_current_amd64.deb

Now start google chrome and visit a flash site and all should just simply work.

share|improve this answer

For some reason, Software Center is searching a wrong package from the repository (you get an error when trying to install).

You can try the following "workaround" (graphical version):

  1. Remove the Adobe Flash Plugin previously installed by Software Center;
  2. Open this link. (You will see a lot of versions of the installer package)
  3. If you are using Ubuntu 12.04 x64 (precise pangolin), download the following package: adobe-flashplugin_11.2.202.235-0precise1_amd64.deb
  4. Double click on the downloaded package, Ubuntu Software Center will show up and show some information about the .deb;
  5. Click Install button;
  6. Flash player installed and working.
share|improve this answer

The 64-bit Google Chrome for Ubuntu does not come with flash plugin. If you need the flash player, you can manually install it.

To install the flash plugin, you need to enable Canonical Partner repository. Follow the link for extended instructions on how to install Adobe flash player.

Reference:

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.